Search Results for

Show / Hide Table of Contents

# Struct EventTrackers

Collection of event trackers.

##### Inherited Members

ValueType.Equals(object)
ValueType.GetHashCode()
ValueType.ToString()
object.Equals(object, object)
object.GetType()
object.ReferenceEquals(object, object)

###### Namespace: AppstockSDK.Api.Native.Data.Request

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public struct EventTrackers

### Fields

#### allowEmpty

Gets or sets if empty collection is a valid value.

##### Declaration

    [Tooltip("Whether collection should be forwarded to native library even when empty.")]
    public bool allowEmpty

##### Field Value

Type | Description
--- | ---
bool | `false` if empty collection prevents calling the respective setter in native library. `true` if native setter should be called even when collection is empty.

#### elements

##### Declaration

    public EventTracker[]? elements

##### Field Value

Type | Description
--- | ---
EventTracker[] | Native event trackers

### Operators

#### implicit operator EventTrackers(EventTracker[]?)

Defines an implicit conversion of EventTracker array to a EventTrackers.

##### Declaration

    public static implicit operator EventTrackers(EventTracker[]? elements)

##### Parameters

Type | Name | Description
--- | --- | ---
EventTracker[] | elements | The EventTracker array to convert.

##### Returns

Type | Description
--- | ---
EventTrackers | The converted EventTrackers.

### See Also

EventTracker